Skip to main content
POST
/
api
/
v2
/
autorebates
/
groups
Creates a client group with set rebate percentage.
curl --request POST \
  --url https://my.exnessaffiliates.com/api/v2/autorebates/groups/ \
  --header 'Content-Type: application/json' \
  --data '
{
  "ordering": "<string>",
  "limit": 123,
  "offset": 123,
  "group_type": [
    "<string>"
  ],
  "group_id": [
    "<string>"
  ],
  "rebate_period": [
    "<string>"
  ],
  "link_code": [
    "<string>"
  ]
}
'
{
  "data": [
    {
      "id": "int",
      "partner_uid": "string",
      "group_title": "string",
      "group_type": "string",
      "clients_count": "int",
      "rebate_percent": "number",
      "created": "datetime",
      "is_default": "bool",
      "rebate_size": {
        "min": "number",
        "max": "number"
      },
      "rebate_period": "string",
      "rebate_period_value": "int",
      "rebate_period_start": "string",
      "rebate_period_end": "string",
      "link_code": "string"
    }
  ],
  "totals": {
    "count": "int",
    "clients": "int"
  }
}

Documentation Index

Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer

pagination

offset
integer

pagination

group_type
string[]

filter

group_id
string[]

filter

rebate_period
string[]

filter

filter

ordering
string

ordering, Comma-separated list without spaces. Supported field names: group_title, clients_count, created, rebate_percent, group_type, rebate_period, link_code

Body

application/json
ordering
string

Comma-separated list without spaces. Supported field names: group_title, clients_count, created, rebate_percent, group_type, rebate_period, link_code

limit
integer
offset
integer
group_type
string[]
group_id
string[]
rebate_period
string[]

Response

OK

data
object[]
required
Example:
[
{
"id": "int",
"partner_uid": "string",
"group_title": "string",
"group_type": "string",
"clients_count": "int",
"rebate_percent": "number",
"created": "datetime",
"is_default": "bool",
"rebate_size": { "min": "number", "max": "number" },
"rebate_period": "string",
"rebate_period_value": "int",
"rebate_period_start": "string",
"rebate_period_end": "string",
"link_code": "string"
}
]
totals
object
required